from axelrod.action import Action
from axelrod.player import Player
llIlIIIIlIllI, IIIIIIlIllIllII = Action.C, Action.D
class lIllIIIIIlIIllIIIll(Player):
    lIIlIlIl = "strategy"
    lllIlIllllIlll = {
        "memory_depth": float("inf"),  
        "stochastic": True,
        "long_run_time": False,
        "inspects_source": False,
        "manipulates_source": False,
        "manipulates_state": False,
    }
    def IlIlIlll(llIIlIIIlIIlllIl, lIIIlIllIIIlIllll: Player) -> Action:
        if len(lIIIlIllIIIlIllll.history) == 0:
            return llIIlIIIlIIlllIl._random.random_choice(0.5)
        IIlIIIllIlIII = lIIIlIllIIIlIllll.cooperations / len(lIIIlIllIIIlIllll.history)
        return llIIlIIIlIIlllIl._random.random_choice(IIlIIIllIlIII)